Option Strict Off
Option Explicit On

Imports Autodesk.AutoCAD.Interop
Imports Autodesk.AutoCAD.Interop.Common

Imports Autodesk.AutoCAD.ApplicationServices

Public Class ThisDrawing
    Implements Autodesk.AutoCAD.Runtime.IExtensionApplication


    Public WithEvents ThisDrawing As AcadDocument = Application.DocumentManager.MdiActiveDocument.AcadDocument

    Public WithEvents docs As DocumentCollection = Application.DocumentManager

    Private Sub docs_DocumentActivated(ByVal sender As Object, ByVal e As Autodesk.AutoCAD.ApplicationServices.DocumentCollectionEventArgs) Handles docs.DocumentActivated
        ThisDrawing = e.Document.AcadDocument
    End Sub

    'UPGRADE_NOTE: ThisDrawing was upgraded to ThisDrawing_Renamed. Click for more: 'ms-help://MS.VSCC.v90/dv_commoner/local/redirect.htm?keyword="A9E4979A-37FA-4718-9994-97DD76ED70A7"'
    Private Sub AcadDocument_BeginCommand(ByVal CommandName As String) Handles ThisDrawing.BeginCommand
        'UPGRADE_WARNING: Couldn't resolve default property of object ThisDrawing.Utility. Click for more: 'ms-help://MS.VSCC.v90/dv_commoner/local/redirect.htm?keyword="6A50421D-15FE-4896-8A1B-2EC21E9037B2"'
        ThisDrawing.Utility.Prompt("(Begin command " & CommandName & ")")
    End Sub

    'UPGRADE_NOTE: ThisDrawing was upgraded to ThisDrawing_Renamed. Click for more: 'ms-help://MS.VSCC.v90/dv_commoner/local/redirect.htm?keyword="A9E4979A-37FA-4718-9994-97DD76ED70A7"'
    Private Sub AcadDocument_EndCommand(ByVal CommandName As String) Handles ThisDrawing.EndCommand
        'UPGRADE_WARNING: Couldn't resolve default property of object ThisDrawing.Utility. Click for more: 'ms-help://MS.VSCC.v90/dv_commoner/local/redirect.htm?keyword="6A50421D-15FE-4896-8A1B-2EC21E9037B2"'
        ThisDrawing.Utility.Prompt("(End command " & CommandName & ")")
    End Sub

    Public Sub Initialize() Implements Autodesk.AutoCAD.Runtime.IExtensionApplication.Initialize

    End Sub

    Public Sub Terminate() Implements Autodesk.AutoCAD.Runtime.IExtensionApplication.Terminate

    End Sub
End Class